## pyside2 2.0.0+dev-0~201712141347~rev1791~pkg76~ubuntu17.10.1

=== PySide2/QtCore/CMakeLists.txt ===
project(QtCore)

set(QtCore_gluecode "${QtCore_SOURCE_DIR}/glue/qeasingcurve_glue.cpp")

if(ENABLE_WIN)
    set(SPECIFIC_OS_FILES
      ${QtCore_GEN_DIR}/qwineventnotifier_wrapper.cpp
    )
else()
    set(SPECIFIC_OS_FILES "")
endif()

set(QtCore_SRC
${QtCore_GEN_DIR}/qabstractanimation_wrapper.cpp
${QtCore_GEN_DIR}/qabstracteventdispatcher_timerinfo_wrapper.cpp
${QtCore_GEN_DIR}/qabstracteventdispatcher_wrapper.cpp
${QtCore_GEN_DIR}/qabstractitemmodel_wrapper.cpp
${QtCore_GEN_DIR}/qabstractlistmodel_wrapper.cpp
${QtCore_GEN_DIR}/qabstractproxymodel_wrapper.cpp
${QtCore_GEN_DIR}/qabstractstate_wrapper.cpp
${QtCore_GEN_DIR}/qabstracttablemodel_wrapper.cpp
${QtCore_GEN_DIR}/qabstracttransition_wrapper.cpp
${QtCore_GEN_DIR}/qanimationgroup_wrapper.cpp
${QtCore_GEN_DIR}/qbasicmutex_wrapper.cpp
${QtCore_GEN_DIR}/qbasictimer_wrapper.cpp
${QtCore_GEN_DIR}/qbitarray_wrapper.cpp
${QtCore_GEN_DIR}/qbuffer_wrapper.cpp
${QtCore_GEN_DIR}/qbytearray_wrapper.cpp
${QtCore_GEN_DIR}/qbytearraymatcher_wrapper.cpp
${QtCore_GEN_DIR}/qchildevent_wrapper.cpp
${QtCore_GEN_DIR}/qcollator_wrapper.cpp
${QtCore_GEN_DIR}/qcollatorsortkey_wrapper.cpp
${QtCore_GEN_DIR}/qcommandlineoption_wrapper.cpp
${QtCore_GEN_DIR}/qcommandlineparser_wrapper.cpp
${QtCore_GEN_DIR}/qcoreapplication_wrapper.cpp
${QtCore_GEN_DIR}/qcryptographichash_wrapper.cpp
${QtCore_GEN_DIR}/qdatastream_wrapper.cpp
${QtCore_GEN_DIR}/qdate_wrapper.cpp
${QtCore_GEN_DIR}/qdatetime_wrapper.cpp
${QtCore_GEN_DIR}/qdir_wrapper.cpp
${QtCore_GEN_DIR}/qdiriterator_wrapper.cpp
${QtCore_GEN_DIR}/qdynamicpropertychangeevent_wrapper.cpp
${QtCore_GEN_DIR}/qeasingcurve_wrapper.cpp
${QtCore_GEN_DIR}/qelapsedtimer_wrapper.cpp
${QtCore_GEN_DIR}/qevent_wrapper.cpp
${QtCore_GEN_DIR}/qeventloop_wrapper.cpp
${QtCore_GEN_DIR}/qeventtransition_wrapper.cpp
${QtCore_GEN_DIR}/qfactoryinterface_wrapper.cpp
${QtCore_GEN_DIR}/qfile_wrapper.cpp
${QtCore_GEN_DIR}/qfileselector_wrapper.cpp
${QtCore_GEN_DIR}/qfiledevice_wrapper.cpp
${QtCore_GEN_DIR}/qfileinfo_wrapper.cpp
${QtCore_GEN_DIR}/qfilesystemwatcher_wrapper.cpp
${QtCore_GEN_DIR}/qfinalstate_wrapper.cpp
${QtCore_GEN_DIR}/qgenericargument_wrapper.cpp
${QtCore_GEN_DIR}/qgenericreturnargument_wrapper.cpp
${QtCore_GEN_DIR}/qhistorystate_wrapper.cpp
${QtCore_GEN_DIR}/qiodevice_wrapper.cpp
${QtCore_GEN_DIR}/qjsonarray_wrapper.cpp
${QtCore_GEN_DIR}/qjsondocument_wrapper.cpp
${QtCore_GEN_DIR}/qjsonparseerror_wrapper.cpp
${QtCore_GEN_DIR}/qjsonvalue_wrapper.cpp
${QtCore_GEN_DIR}/qitemselection_wrapper.cpp
${QtCore_GEN_DIR}/qitemselectionmodel_wrapper.cpp
${QtCore_GEN_DIR}/qitemselectionrange_wrapper.cpp
${QtCore_GEN_DIR}/qlibraryinfo_wrapper.cpp
${QtCore_GEN_DIR}/qline_wrapper.cpp
${QtCore_GEN_DIR}/qlinef_wrapper.cpp
${QtCore_GEN_DIR}/qlocale_wrapper.cpp
${QtCore_GEN_DIR}/qmargins_wrapper.cpp
${QtCore_GEN_DIR}/qmarginsf_wrapper.cpp
${QtCore_GEN_DIR}/qmessagelogcontext_wrapper.cpp
${QtCore_GEN_DIR}/qmetaclassinfo_wrapper.cpp
${QtCore_GEN_DIR}/qmetaenum_wrapper.cpp
${QtCore_GEN_DIR}/qmetamethod_wrapper.cpp
${QtCore_GEN_DIR}/qmetaobject_connection_wrapper.cpp
${QtCore_GEN_DIR}/qmetaobject_wrapper.cpp
${QtCore_GEN_DIR}/qmetaproperty_wrapper.cpp
${QtCore_GEN_DIR}/qmimedata_wrapper.cpp
${QtCore_GEN_DIR}/qmimedatabase_wrapper.cpp
${QtCore_GEN_DIR}/qmimetype_wrapper.cpp
${QtCore_GEN_DIR}/qmodelindex_wrapper.cpp
${QtCore_GEN_DIR}/qmutex_wrapper.cpp
${QtCore_GEN_DIR}/qmutexlocker_wrapper.cpp
${QtCore_GEN_DIR}/qobject_wrapper.cpp
${QtCore_GEN_DIR}/qparallelanimationgroup_wrapper.cpp
${QtCore_GEN_DIR}/qpauseanimation_wrapper.cpp
${QtCore_GEN_DIR}/qpersistentmodelindex_wrapper.cpp
${QtCore_GEN_DIR}/qpluginloader_wrapper.cpp
${QtCore_GEN_DIR}/qpoint_wrapper.cpp
${QtCore_GEN_DIR}/qpointf_wrapper.cpp
${QtCore_GEN_DIR}/qprocess_wrapper.cpp
${QtCore_GEN_DIR}/qprocessenvironment_wrapper.cpp
${QtCore_GEN_DIR}/qpropertyanimation_wrapper.cpp
${QtCore_GEN_DIR}/qreadlocker_wrapper.cpp
${QtCore_GEN_DIR}/qreadwritelock_wrapper.cpp
${QtCore_GEN_DIR}/qrect_wrapper.cpp
${QtCore_GEN_DIR}/qrectf_wrapper.cpp
${QtCore_GEN_DIR}/qregexp_wrapper.cpp
${QtCore_GEN_DIR}/qregularexpression_wrapper.cpp
${QtCore_GEN_DIR}/qregularexpressionmatch_wrapper.cpp
${QtCore_GEN_DIR}/qregularexpressionmatchiterator_wrapper.cpp
${QtCore_GEN_DIR}/qresource_wrapper.cpp
${QtCore_GEN_DIR}/qrunnable_wrapper.cpp
${QtCore_GEN_DIR}/qsavefile_wrapper.cpp
${QtCore_GEN_DIR}/qsemaphore_wrapper.cpp
${QtCore_GEN_DIR}/qsequentialanimationgroup_wrapper.cpp
${QtCore_GEN_DIR}/qsettings_wrapper.cpp
${QtCore_GEN_DIR}/qsignalmapper_wrapper.cpp
${QtCore_GEN_DIR}/qsignaltransition_wrapper.cpp
${QtCore_GEN_DIR}/qsize_wrapper.cpp
${QtCore_GEN_DIR}/qsizef_wrapper.cpp
${QtCore_GEN_DIR}/qsocketnotifier_wrapper.cpp
${QtCore_GEN_DIR}/qsortfilterproxymodel_wrapper.cpp
${QtCore_GEN_DIR}/qstate_wrapper.cpp
${QtCore_GEN_DIR}/qstandardpaths_wrapper.cpp
${QtCore_GEN_DIR}/qstatemachine_signalevent_wrapper.cpp
${QtCore_GEN_DIR}/qstatemachine_wrappedevent_wrapper.cpp
${QtCore_GEN_DIR}/qstatemachine_wrapper.cpp
${QtCore_GEN_DIR}/qstorageinfo_wrapper.cpp
${QtCore_GEN_DIR}/qsysinfo_wrapper.cpp
${QtCore_GEN_DIR}/qsystemsemaphore_wrapper.cpp
${QtCore_GEN_DIR}/qt_wrapper.cpp
${QtCore_GEN_DIR}/qtemporarydir_wrapper.cpp
${QtCore_GEN_DIR}/qtemporaryfile_wrapper.cpp
${QtCore_GEN_DIR}/qtextboundaryfinder_wrapper.cpp
${QtCore_GEN_DIR}/qtextcodec_converterstate_wrapper.cpp
${QtCore_GEN_DIR}/qtextcodec_wrapper.cpp
${QtCore_GEN_DIR}/qtextdecoder_wrapper.cpp
${QtCore_GEN_DIR}/qtextencoder_wrapper.cpp
${QtCore_GEN_DIR}/qtextstream_wrapper.cpp
${QtCore_GEN_DIR}/qtextstreammanipulator_wrapper.cpp
${QtCore_GEN_DIR}/qthread_wrapper.cpp
${QtCore_GEN_DIR}/qthreadpool_wrapper.cpp
${QtCore_GEN_DIR}/qtime_wrapper.cpp
${QtCore_GEN_DIR}/qtimeline_wrapper.cpp
${QtCore_GEN_DIR}/qtimer_wrapper.cpp
${QtCore_GEN_DIR}/qtimerevent_wrapper.cpp
${QtCore_GEN_DIR}/qtimezone_wrapper.cpp
${QtCore_GEN_DIR}/qtimezone_offsetdata_wrapper.cpp
${QtCore_GEN_DIR}/qtranslator_wrapper.cpp
${QtCore_GEN_DIR}/qurl_wrapper.cpp
${QtCore_GEN_DIR}/qurlquery_wrapper.cpp
${QtCore_GEN_DIR}/quuid_wrapper.cpp
${QtCore_GEN_DIR}/qvariantanimation_wrapper.cpp
${QtCore_GEN_DIR}/qversionnumber_wrapper.cpp
${QtCore_GEN_DIR}/qwaitcondition_wrapper.cpp
${QtCore_GEN_DIR}/qwritelocker_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamattribute_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamattributes_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamentitydeclaration_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamentityresolver_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamnamespacedeclaration_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamnotationdeclaration_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamreader_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamwriter_wrapper.cpp


${SPECIFIC_OS_FILES}
# module is always needed
${QtCore_GEN_DIR}/qtcore_module_wrapper.cpp
)

configure_file("${QtCore_SOURCE_DIR}/typesystem_core.xml.in"
               "${QtCore_BINARY_DIR}/typesystem_core.xml" @ONLY)

set(QtCore_include_dirs ${QtCore_SOURCE_DIR}
                        ${QtCore_BINARY_DIR}
                        ${Qt5Core_INCLUDE_DIRS}
                        ${SHIBOKEN_INCLUDE_DIR}
                        ${libpyside_SOURCE_DIR}
                        ${SHIBOKEN_PYTHON_INCLUDE_DIR}
                        )
set(QtCore_libraries  pyside2
                      ${SHIBOKEN_PYTHON_LIBRARIES}
                      ${SHIBOKEN_LIBRARY}
                      ${Qt5Core_LIBRARIES}
                      )
create_pyside_module(QtCore
                     QtCore_include_dirs
                     QtCore_libraries
                     ""
                     QtCore_SOURCE_DIR
                     QtCore_SRC
                     QtCore_gluecode
                     ${QtCore_BINARY_DIR}/typesystem_core.xml)

=== debian/changelog ===
pyside2 (2.0.0+dev-0~201712141347~rev1791~pkg76~ubuntu17.10.1) artful; urgency=low

  * Auto build.

 -- Thomas Karl Pietrowski <thopiekar@googlemail.com>  Thu, 14 Dec 2017 13:47:13 +0000

=== debian/control ===
Source: pyside2
Section: python
Priority: optional
Maintainer: Thomas Karl Pietrowski <thopiekar@googlemail.com>
Build-Depends: dpkg-dev (>= 1.15.6),
# Debhelper
 debhelper (>= 9), dh-python,
# CMake
 cmake (>= 2.8.4+dfsg.1-3~),
# LLVM/Clang
 llvm, clang, libclang-dev,
# Python2
 python-all-dev, python-all-dbg,
# Python3
 python3-all-dev, python3-all-dbg,
# Qt5 Base
 qtbase5-dev | qtbase5-gles-dev, qtbase5-private-dev | qtbase5-private-gles-dev,
# Qt5 Charts
 libqt5charts5-dev,
# Qt5 Multimedia
 qtmultimedia5-dev,
# Qt5 OpenGL
 libqt5opengl5-dev | libqt5opengl5-gles-dev,
 mesa-common-dev [armhf],
# Qt5 Skript
 qtscript5-private-dev | qtscript5-dev,
# Qt 5 Speech library
 libqt5texttospeech5-dev,
# Qt5 Tools
 qttools5-private-dev | qttools5-dev,
 qttools5-dev-tools,
# Qt5 Declarative
 qtdeclarative5-dev, qtdeclarative5-private-dev,
# Qt5 WebChannel
 libqt5webchannel5-dev,
# Qt5 WebEngine
 qtwebengine5-private-dev | qtwebengine5-dev,
# Qt5 WebKit
# libqt5webkit5-dev,
# Qt5 WebSockets
 libqt5websockets5-dev,
# Qt5 Svg
 libqt5svg5-private-dev | libqt5svg5-dev,
# Qt5 XmlPatterns
 libqt5xmlpatterns5-private-dev | libqt5xmlpatterns5-dev,
# Qt5 X11 Extras
 libqt5x11extras5-dev,
# Shiboken2
 shiboken2, shiboken2-dbg, libshiboken2-dev,
# Documentation
 libgraphviz-dev,
# Testing suite
 libqt5sql5-sqlite,
 dbus,
 xvfb,
 libgl1-mesa-dri,
 xauth,
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Vcs-Git: git://code.qt.io/pyside/pyside.git
Vcs-Browser: http://code.qt.io/cgit/pyside/pyside.git/
Homepage: https://github.com/thopiekar/PySide-packaging

Package: python-pyside2
Architecture: all
Depends: ${misc:Depends},
  python-pyside2.qtconcurrent (>= ${binary:Version}),
  python-pyside2.qtcore (>= ${binary:Version}),
  python-pyside2.qtgui (>= ${binary:Version}),
  python-pyside2.qthelp (>= ${binary:Version}),
  python-pyside2.qtmultimedia (>= ${binary:Version}),
  python-pyside2.qtnetwork (>= ${binary:Version}),
  python-pyside2.qtopengl (>= ${binary:Version}),
  python-pyside2.qtprintsupport (>= ${binary:Version}),
  python-pyside2.qtqml (>= ${binary:Version}),
  python-pyside2.qtquick (>= ${binary:Version}),
  python-pyside2.qtquickwidgets (>= ${binary:Version}),
  python-pyside2.qtscript (>= ${binary:Version}),
  python-pyside2.qtsql (>= ${binary:Version}),
  python-pyside2.qtsvg (>= ${binary:Version}),
  python-pyside2.qttest (>= ${binary:Version}),
  python-pyside2.qtuitools (>= ${binary:Version}),
  python-pyside2.qtwebchannel (>= ${binary:Version}),
  python-pyside2.qtwebkit (>= ${binary:Version}),
  python-pyside2.qtwebkitwidgets (>= ${binary:Version}),
  python-pyside2.qtwebsockets (>= ${binary:Version}),
  python-pyside2.qtwidgets (>= ${binary:Version}),
  python-pyside2.qtx11extras (>= ${binary:Version}),
  python-pyside2.qtxml (>= ${binary:Version})
Description: Python bindings for Qt5 (big metapackage)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python bindings for Qt5 framework. This is a metapackage for all modules.

Package: python-pyside2-dbg
Architecture: any
Priority: extra
Section: debug
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends},
  shiboken2-dbg (>= 1.2.2),
  python-pyside2 (>= ${binary:Version}),
  python-pyside2.qtconcurrent-dbg (>= ${binary:Version}),
  python-pyside2.qtcore-dbg (>= ${binary:Version}),
  python-pyside2.qtgui-dbg (>= ${binary:Version}),
  python-pyside2.qthelp-dbg (>= ${binary:Version}),
  python-pyside2.qtmultimedia-dbg (>= ${binary:Version}),
  python-pyside2.qtnetwork-dbg (>= ${binary:Version}),
  python-pyside2.qtopengl-dbg (>= ${binary:Version}),
  python-pyside2.qtprintsupport-dbg (>= ${binary:Version}),
  python-pyside2.qtqml-dbg (>= ${binary:Version}),
  python-pyside2.qtquick-dbg (>= ${binary:Version}),
  python-pyside2.qtquickwidgets-dbg (>= ${binary:Version}),
  python-pyside2.qtscript-dbg (>= ${binary:Version}),
  python-pyside2.qtsql-dbg (>= ${binary:Version}),
  python-pyside2.qtsvg-dbg (>= ${binary:Version}),
  python-pyside2.qttest-dbg (>= ${binary:Version}),
  python-pyside2.qtuitools-dbg (>= ${binary:Version}),
  python-pyside2.qtwebchannel-dbg (>= ${binary:Version}),
  python-pyside2.qtwebkit-dbg (>= ${binary:Version}),
  python-pyside2.qtwebkitwidgets-dbg (>= ${binary:Version}),
  python-pyside2.qtwebsockets-dbg (>= ${binary:Version}),
  python-pyside2.qtwidgets-dbg (>= ${binary:Version}),
  python-pyside2.qtx11extras-dbg (>= ${binary:Version}),
  python-pyside2.qtxml-dbg (>= ${binary:Version}),
  libpyside2.0 (= ${binary:Version})
Description: Python bindings for Qt 4 (debug symbols)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols.

Package: python3-pyside2
Architecture: all
Depends: ${misc:Depends},
  python3-pyside2.qtconcurrent (>= ${binary:Version}),
  python3-pyside2.qtcore (>= ${binary:Version}),
  python3-pyside2.qtgui (>= ${binary:Version}),
  python3-pyside2.qthelp (>= ${binary:Version}),
  python3-pyside2.qtmultimedia (>= ${binary:Version}),
  python3-pyside2.qtnetwork (>= ${binary:Version}),
  python3-pyside2.qtopengl (>= ${binary:Version}),
  python3-pyside2.qtprintsupport (>= ${binary:Version}),
  python3-pyside2.qtqml (>= ${binary:Version}),
  python3-pyside2.qtquick (>= ${binary:Version}),
  python3-pyside2.qtquickwidgets (>= ${binary:Version}),
  python3-pyside2.qtscript (>= ${binary:Version}),
  python3-pyside2.qtsql (>= ${binary:Version}),
  python3-pyside2.qtsvg (>= ${binary:Version}),
  python3-pyside2.qttest (>= ${binary:Version}),
  python3-pyside2.qtuitools (>= ${binary:Version}),
  python3-pyside2.qtwebchannel (>= ${binary:Version}),
  python3-pyside2.qtwebkit (>= ${binary:Version}),
  python3-pyside2.qtwebkitwidgets (>= ${binary:Version}),
  python3-pyside2.qtwebsockets (>= ${binary:Version}),
  python3-pyside2.qtwidgets (>= ${binary:Version}),
  python3-pyside2.qtx11extras (>= ${binary:Version}),
  python3-pyside2.qtxml (>= ${binary:Version})
Description: Python3 bindings for Qt5 (big metapackage)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python3 bindings for Qt5 framework. This is a metapackage for all modules.

Package: python3-pyside2-dbg
Architecture: any
Priority: extra
Section: debug
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends},
  ${python3:Depends},
  shiboken2-dbg (>= 1.2.2),
  python3-pyside2 (>= ${binary:Version}),
  python3-pyside2.qtconcurrent-dbg (>= ${binary:Version}),
  python3-pyside2.qtcore-dbg (>= ${binary:Version}),
  python3-pyside2.qtgui-dbg (>= ${binary:Version}),
  python3-pyside2.qthelp-dbg (>= ${binary:Version}),
  python3-pyside2.qtmultimedia-dbg (>= ${binary:Version}),
  python3-pyside2.qtnetwork-dbg (>= ${binary:Version}),
  python3-pyside2.qtopengl-dbg (>= ${binary:Version}),
  python3-pyside2.qtprintsupport-dbg (>= ${binary:Version}),
  python3-pyside2.qtqml-dbg (>= ${binary:Version}),
  python3-pyside2.qtquick-dbg (>= ${binary:Version}),
  python3-pyside2.qtquickwidgets-dbg (>= ${binary:Version}),
  python3-pyside2.qtscript-dbg (>= ${binary:Version}),
  python3-pyside2.qtsql-dbg (>= ${binary:Version}),
  python3-pyside2.qtsvg-dbg (>= ${binary:Version}),
  python3-pyside2.qttest-dbg (>= ${binary:Version}),
  python3-pyside2.qtuitools-dbg (>= ${binary:Version}),
  python3-pyside2.qtwebchannel-dbg (>= ${binary:Version}),
  python3-pyside2.qtwebkit-dbg (>= ${binary:Version}),
  python3-pyside2.qtwebkitwidgets-dbg (>= ${binary:Version}),
  python3-pyside2.qtwebsockets-dbg (>= ${binary:Version}),
  python3-pyside2.qtwidgets-dbg (>= ${binary:Version}),
  python3-pyside2.qtx11extras-dbg (>= ${binary:Version}),
  python3-pyside2.qtxml-dbg (>= ${binary:Version}),
  libpyside-py3-2.0 (= ${binary:Version})
Description: Python3 bindings for Qt 4 (debug symbols)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the python3 modules.

Package: libpyside2.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Python bindings for Qt 5 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all modules.

Package: libpyside-py3-2.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Python3 bindings for Qt 5 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all python3 modules.

Package: libpyside2-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
# PySide2
 libpyside2.0 (= ${binary:Version}), libpyside-py3-2.0 (= ${binary:Version}),
# Qt5 Base
 qtbase5-dev | qtbase5-gles-dev, qtbase5-private-dev | qtbase5-private-gles-dev,
# Qt5 Multimedia
 qtmultimedia5-dev,
# Qt5 OpenGL
 libqt5opengl5-dev | libqt5opengl5-gles-dev,
# Qt5 Skript
 qtscript5-private-dev | qtscript5-dev,
# Qt5 Tools
 qttools5-private-dev | qttools5-dev,
 qttools5-dev-tools,
 qtdeclarative5-dev, qtdeclarative5-private-dev,
# Qt5 WebKit
 libqt5webkit5-dev,
 libqt5svg5-private-dev | libqt5svg5-dev,
 libqt5xmlpatterns5-private-dev | libqt5xmlpatterns5-dev,
# Qt5 X11 Extras
 libqt5x11extras5-dev,
Replaces: libpyside0.3 (<< 0.4.0)
Breaks: libpyside0.3 (<< 0.4.0)
Description: Python bindings for Qt 5 (development files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside2 library.

Package: python-pyside2.qtcharts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside2.0 (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt 5 Concurrent module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtConcurrent module.

Package: python-pyside2.qtcharts-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside2.0 (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt 5 Concurrent module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtConcurrent module.

Package: python3-pyside2.qtcharts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libpyside-py3-2.0 (= ${binary:Version})
Description: Qt 5 Concurrent module - Python3 bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python3 bindings for the QtConcurrent module.

Package: python3-pyside2.qtcharts-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libpyside-py3-2.0 (= ${binary:Version})
Description: Qt 5 Concurrent module - Python3 bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python3 bindings for the QtConcurrent module.

Package: python-pyside2.qtconcurrent
Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Set to 1 to enable verbose mode.
# Debhelper will output every command it runs that modifies files on the build system.
#export DH_VERBOSE=1

# TODO: ADD CHECK WHETHER WEBKIT IS INCLUDED IN BUILDDEPS
WITH_QTWEBKIT=false

PYSIDE_DBG_PACKAGES := 	-ppython-pyside2-dbg \
			-ppython-pyside2.qtcharts-dbg \
			-ppython-pyside2.qtconcurrent-dbg \
			-ppython-pyside2.qtcore-dbg \
			-ppython-pyside2.qtgui-dbg \
			-ppython-pyside2.qthelp-dbg \
			-ppython-pyside2.qtmultimedia-dbg \
			-ppython-pyside2.qtmultimediawidgets-dbg \
			-ppython-pyside2.qtnetwork-dbg \
			-ppython-pyside2.qtopengl-dbg \
			-ppython-pyside2.qtprintsupport-dbg \
			-ppython-pyside2.qtqml-dbg \
			-ppython-pyside2.qtquick-dbg \
			-ppython-pyside2.qtquickwidgets-dbg \
			-ppython-pyside2.qtscript-dbg \
			-ppython-pyside2.qtsql-dbg \
			-ppython-pyside2.qtsvg-dbg \
			-ppython-pyside2.qttest-dbg \
			-ppython-pyside2.qttexttospeech-dbg \
			-ppython-pyside2.qtuitools-dbg \
			-ppython-pyside2.qtwebchannel-dbg \
			-ppython-pyside2.qtwebenginewidgets-dbg \
			-ppython-pyside2.qtwebsockets-dbg \
			-ppython-pyside2.qtwidgets-dbg \
			-ppython-pyside2.qtx11extras-dbg \
			-ppython-pyside2.qtxml-dbg \
			-ppython3-pyside2-dbg \
			-ppython3-pyside2.qtcharts-dbg \
			-ppython3-pyside2.qtconcurrent-dbg \
			-ppython3-pyside2.qtcore-dbg \
			-ppython3-pyside2.qtgui-dbg \
			-ppython3-pyside2.qthelp-dbg \
			-ppython3-pyside2.qtmultimedia-dbg \
			-ppython3-pyside2.qtmultimediawidgets-dbg \
			-ppython3-pyside2.qtnetwork-dbg \
			-ppython3-pyside2.qtopengl-dbg \
			-ppython3-pyside2.qtprintsupport-dbg \
			-ppython3-pyside2.qtqml-dbg \
			-ppython3-pyside2.qtquick-dbg \
			-ppython3-pyside2.qtquickwidgets-dbg \
			-ppython3-pyside2.qtscript-dbg \
			-ppython3-pyside2.qtsql-dbg \
			-ppython3-pyside2.qtsvg-dbg \
			-ppython3-pyside2.qttest-dbg \
			-ppython3-pyside2.qttexttospeech-dbg \
			-ppython3-pyside2.qtuitools-dbg \
			-ppython3-pyside2.qtwebchannel-dbg \
			-ppython3-pyside2.qtwebenginewidgets-dbg \
			-ppython3-pyside2.qtwebsockets-dbg \
			-ppython3-pyside2.qtwidgets-dbg \
			-ppython3-pyside2.qtx11extras-dbg \
			-ppython3-pyside2.qtxml-dbg

ifeq ($(WITH_QTWEBKIT),true)
PYSIDE_DBG_PACKAGES += 	-ppython-pyside2.qtwebkit-dbg \
			-ppython-pyside2.qtwebkitwidgets-dbg \
			-ppython3-pyside2.qtwebkit-dbg \
			-ppython3-pyside2.qtwebkitwidgets-dbg
endif

DPKG_ARCH := $(shell dpkg --print-architecture)

CMAKE_COMMON_OPTIONS := -DCMAKE_SKIP_RPATH=true \
			-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
			-DUSE_XVFB=true \
			-DCTEST_TESTING_TIMEOUT=600

%:
	dh $@ --with python2 --with python3 --buildsystem=cmake --parallel

#### CONFIGURE ####
override_dh_auto_configure:
	# RELEASE
	for PYX in $(shell pyversions -rv) ; do \
	    mkdir -p build-$${PYX}; \
	    dh_auto_configure -a --builddirectory=build-$${PYX} -- \
	                      $(CMAKE_COMMON_OPTIONS) \
	                      -DCMAKE_BUILD_TYPE:STRING="Release" \
	                      -DPYTHON_LIBRARY=/usr/lib/$(DEB_HOST_MULTIARCH)/libpython$${PYX}.so \
	                      -DPYTHON_INCLUDE_DIR=/usr/include/python$${PYX} \
	                      -DPYTHON_EXECUTABLE=/usr/bin/python$${PYX} ; \
	done

	for PYX in $(shell py3versions -rv) ; do \
	    mkdir -p build-$${PYX}; \
	    dh_auto_configure -a --builddirectory=build-$${PYX} -- \
	                      $(CMAKE_COMMON_OPTIONS) \
	                      -DCMAKE_BUILD_TYPE:STRING="Release" \
	                      -DPYTHON_LIBRARY=/usr/lib/$(DEB_HOST_MULTIARCH)/libpython$${PYX}m.so \
	                      -DPYTHON_INCLUDE_DIR=/usr/include/python$${PYX}m \
	                      -DPYTHON_EXECUTABLE=/usr/bin/python$${PYX} ; \
	done
	
	# DEBUG
	for PYX in $(shell pyversions -rv) ; do \
	    mkdir -p build-$${PYX}-dbg; \
	    dh_auto_configure -a --builddirectory=build-$${PYX}-dbg -- \
	                      $(CMAKE_COMMON_OPTIONS) \
	                      -DCMAKE_BUILD_TYPE:STRING="Debug" \
	                      -DPYTHON_LIBRARY=/usr/lib/$(DEB_HOST_MULTIARCH)/libpython$${PYX}.so \
	                      -DPYTHON_DEBUG_LIBRARY=/usr/lib/$(DEB_HOST_MULTIARCH)/libpython$${PYX}_d.so \
	                      -DPYTHON_INCLUDE_DIR=/usr/include/python$${PYX}_d \
	                      -DPYTHON_EXECUTABLE=/usr/bin/python$${PYX}-dbg ; \
	done

	for PYX in $(shell py3versions -rv) ; do \
	    mkdir -p build-$${PYX}-dbg; \
	    dh_auto_configure -a --builddirectory=build-$${PYX}-dbg -- \
	                      $(CMAKE_COMMON_OPTIONS) \
	                      -DCMAKE_BUILD_TYPE:STRING="Debug" \
	                      -DPYTHON_LIBRARY=/usr/lib/$(DEB_HOST_MULTIARCH)/libpython$${PYX}m.so \
	                      -DPYTHON_DEBUG_LIBRARY=/usr/lib/$(DEB_HOST_MULTIARCH)/libpython$${PYX}dm.so \
	                      -DPYTHON_INCLUDE_DIR=/usr/include/python$${PYX}dm \
	                      -DPYTHON_EXECUTABLE=/usr/bin/python$${PYX}dm ; \
	done

#### BUILD ####
override_dh_auto_build:
	for PYX in $(shell pyversions -rv) $(shell py3versions -rv) ; do \
	    dh_auto_build -a --builddirectory=build-$${PYX}; \
	    dh_auto_build -a --builddirectory=build-$${PYX}-dbg; \
	done

#### INSTALL ####
override_dh_auto_install:
	for PYX in $(shell pyversions -rv) ; do \
	    dh_auto_install -a --builddirectory=build-$${PYX} --destdir=debian/tmp; \
	    dh_auto_install -a --builddirectory=build-$${PYX} --destdir=debian/tmp-py2; \
	    dh_auto_install -a --builddirectory=build-$${PYX}-dbg --destdir=debian/tmp-dbg; \
	done
	for PYX in $(shell py3versions -rv) ; do \
	    dh_auto_install -a --builddirectory=build-$${PYX} --destdir=debian/tmp; \
	    dh_auto_install -a --builddirectory=build-$${PYX} --destdir=debian/tmp-py3; \
	    dh_auto_install -a --builddirectory=build-$${PYX}-dbg --destdir=debian/tmp-dbg; \
	done

#### TEST ####
override_dh_auto_test:
ifeq ($(DPKG_ARCH), amd64)
	for PYX in $(shell pyversions -rv) $(shell py3versions -rv) ; do \
	    dh_auto_test -a --builddirectory=build-$${PYX} || true; \
	done
else
	@echo "Skipping tests at the moment"
endif

#### CLEAN ####
override_dh_auto_clean:
	rm -rf build-*
	- rm -rf debian/tmp
	- rm -rf debian/tmp-*

#### INSTALL ####
override_dh_install:

	dh_install \
		$(PYSIDE_DBG_PACKAGES) \
		--sourcedir=debian/tmp-dbg --fail-missing
	dh_install -plibpyside2.0 --sourcedir=debian/tmp-py2 --fail-missing
	dh_install -plibpyside-py3-2.0 --sourcedir=debian/tmp-py3 --fail-missing
	dh_install -a --remaining-packages --fail-missing

## pyside2 2.0.0+dev-0~201712291010~rev1791~pkg76~ubuntu18.04.1

=== debian/changelog ===
pyside2 (2.0.0+dev-0~201712291010~rev1791~pkg76~ubuntu18.04.1) bionic; urgency=low

  * Auto build.

 -- Thomas Karl Pietrowski <thopiekar@googlemail.com>  Fri, 29 Dec 2017 10:10:34 +0000

## pyside2 5.11.0

=== debian/changelog ===
pyside2 (5.11.0-3) unstable; urgency=medium

  * More fixes for builds building only arch any or only arch all.
  * Really fix the build with dpkg-buildpackage -A.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 31 Jul 2018 21:33:04 +0200

pyside2 (5.11.0-2) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Fix build with dpkg-buildpackage -A. Closes: #904892
  * Fix python-pyside2 dependencies. Replace python-pyside2.widgets by
    python-pyside2.qtwidgets.

  [ Sophie Brun ]
  * Drop useless "Testsuite: autopkgtest-pkg-python".
  * Enable parallel build.
  * Limit QtWebEngine packages to amd64 arm64 armhf i386 mipsel.
  * Remove unused lintian-overrides.
  * Use python2 only in pyside2-tools.
  * Remove big metapackages python-pyside2 and python3-pyside2.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 31 Jul 2018 16:37:40 +0200

pyside2 (5.11.0-1) unstable; urgency=medium

  * Initial release (Closes: #877871)

 -- Sophie Brun <sophie@freexian.com>  Thu, 26 Jul 2018 17:47:45 +0200

=== debian/control ===
Source: pyside2
Section: python
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sophie Brun <sophie@freexian.com>,
           Raphaël Hertzog <hertzog@debian.org>
Build-Depends: chrpath,
               cmake (>= 3.1),
               debhelper (>= 11),
               dh-exec,
               dh-python,
               libclang-4.0-dev,
               libqt5charts5-dev,
               libqt5opengl5-dev,
               libqt5sensors5-dev,
               libqt5svg5-dev,
               libqt5texttospeech5-dev,
               libqt5webchannel5-dev,
               libqt5webkit5-dev,
               libqt5websockets5-dev,
               libqt5x11extras5-dev,
               libqt5xmlpatterns5-dev,
               libxml2-dev,
               libxslt1-dev,
               llvm-4.0-dev,
               pyqt5-dev (>=5.6),
               python-all-dev,
               python-setuptools,
               python-wheel,
               python3-all-dev,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-wheel,
               qt3d-assimpsceneimport-plugin,
               qt3d-defaultgeometryloader-plugin,
               qt3d-gltfsceneio-plugin,
               qt3d-scene2d-plugin,
               qt3d5-dev,
               qt5-qmake,
               qt5-qmake-bin,
               qtbase5-dev,
               qtbase5-private-dev,
               qtchooser,
               qtdeclarative5-dev,
               qtdeclarative5-private-dev,
               qtlocation5-dev,
               qtmultimedia5-dev,
               qtpositioning5-dev,
               qtscript5-dev,
               qttools5-dev,
               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel]
Standards-Version: 4.1.5
Homepage: https://wiki.qt.io/Qt_for_Python
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/pyside2.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/pyside2

Package: python-pyside2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python bindings for Qt5 (common documentation)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the common documentation package.

Package: libpyside2-5.11
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python 2 bindings for Qt5 (base files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python2 base file used by all modules.

Package: libpyside2-py3-5.11
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python 3 bindings for Qt5 (base files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python3 base file used by all modules.

Package: libpyside2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libpyside2-5.11 (= ${binary:Version}),
 libpyside2-py3-5.11 (= ${binary:Version}), pyqt5-dev
Description: Python bindings for Qt5 (development files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside2 library.

Package: python-pyside2.qtcore
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: python-pyside2-doc
Description: Python bindings for Qt5 core module (Python 2)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 2 bindings for the QtCore module.

Package: python3-pyside2.qtcore
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-pyside2-doc
Description: Python bindings for Qt5 core module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtCore module.

Package: shiboken2
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CPython bindings generator for C++ libraries
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.

Package: libshiboken2-5.11
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: CPython bindings generator for C++ libraries (Python2 shared library)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the shared Python 2 library used by shiboken2.

Package: libshiboken2-py3-5.11
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: CPython bindings generator for C++ libraries (Python3 shared library)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the shared Python 3 library used by shiboken2.

Package: libshiboken2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libshiboken2-5.11 (= ${binary:Version}),
 libshiboken2-py3-5.11 (= ${binary:Version}), python-dev
Description: CPython bindings generator for C++ libraries (development files)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package provides the development headers for the libshiboken2 library.

Package: shiboken2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: CPython bindings generator for C++ libraries (common documentation)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the common documentation.

Package: pyside2-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python-pyside2uic, ${python:Depends}
Description: development tools for PySide2 (uic, rcc, lupdate)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide2 ships Python bindings for the Qt5 framework. This package ships
 the following accompanying tools:
  * pyside2-rcc - PySide resource compiler
  * pyside2-uic - Python User Interface Compiler for PySide
  * pyside2-lupdate - update Qt Linguist translation files for PySide

Package: python-pyside2uic
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: User Interface Compiler for PySide2 (Python 2)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide2 ships Python bindings for the Qt5 framework.
 .
 This package contains the Python User Interface Compiler for PySide2 in
 Python 2.

Package: python3-pyside2uic
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: User Interface Compiler for PySide2 (Python 3)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide2 ships Python bindings for the Qt5 framework.
 .
 This package contains the Python User Interface Compiler for PySide2 in
 Python 3.

Package: python-pyside2.qtwidgets
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings for Qt5 Widgets module (Python 2)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 2 bindings for the QtWidgets module.

Package: python3-pyside2.qtwidgets
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python bindings for Qt5 Widgets module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtWidgets module.

Package: python-pyside2.qt3drender
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings for Qt5 3DRender module (Python 2)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 2 bindings for the Qt3DRender module.

Package: python3-pyside2.qt3drender
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python bindings for Qt5 3DRender module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DRender module.

Package: python-pyside2.qtquick
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings for Qt5 Quick module (Python 2)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 2 bindings for the QtQuick module.

Package: python3-pyside2.qtquick
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python bindings for Qt5 Quick module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtQuick module.

Package: python-pyside2.qtpositioning
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings for Qt5 Positioning module (Python 2)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Safety measure to ensure package names match SONAMEs
PYSIDE_MAJOR := $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d. -f1-2)
ifeq ($(shell awk '/Package:/ {print $$2}' debian/control | grep -- -$(PYSIDE_MAJOR)$$),)
    $(error Please update package names for major version $(PYSIDE_MAJOR))
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    OPTION_JOBS = --jobs=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

export PYBUILD_NAME=pyside2
export PYBUILD_BUILD_ARGS=--relwithdebinfo --verbose-build --no-examples $(OPTION_JOBS)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Add CPPFLAGS to CXXFLAGS as CMake ignores CPPFLAGS by default
CXXFLAGS+=$(CPPFLAGS)

# Until https://bugreports.qt.io/browse/PYSIDE-741 is fixed
export PYBUILD_DISABLE_python3.7=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator

override_dh_auto_install:
	# Don't use pybuild install process, we take over this step to
	# split files in the way we want it. But we echo the list of files
	# built to make it easier to update *.install files.
	echo ">>> In pyside*_{package,install}"
	-find pyside_package pyside*_install

override_dh_makeshlibs:
	dh_makeshlibs -VUpstream-Version

override_dh_install-indep:
	dh_install -X.doctrees
	# drop specific Python2 or Python code in packages. Otherwise it
	# will fail during the packages installation
	rm -r debian/python-pyside2uic/usr/lib/python2.7/dist-packages/pyside2uic/port_v3
	rm -r debian/python3-pyside2uic/usr/lib/python3/dist-packages/pyside2uic/port_v2

override_dh_install-arch:
	dh_install
	# remove RUNPATH setup in shiboken2
	chrpath -d debian/shiboken2/usr/bin/shiboken2
	# change the library path in pkg-info/*.pc and in *.cmake files:
	# during the build the path is setup to the build dir
	# /build/pyside2* (required to find lib during the build) but it's
	# not what we need
	debian/set-paths
